Skip to content

Prepare Case

POST
/api/owners/{owner_id}/provider-case
curl --request POST \
--url https://agentauthority.org/api/owners/example/provider-case \
--header 'Content-Type: application/json' \
--header 'idempotency-key: example' \
--data '{ "residence": "example" }'
owner_id
required
Owner Id
string
idempotency-key
required
Idempotency-Key
string
>= 8 characters <= 128 characters
Media typeapplication/json
Any of:
CaseStart
object
residence
Any of:
string

Example generated

{
"residence": "example"
}

Successful Response

Media typeapplication/json

Example generated

example

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object

Example generated

{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}